package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.HT;
import com.sa.ibiz.demo.demo.service.dto.HTSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[HT] 服务对象接口
 */
public interface HTService extends IService<HT>{

		HT get(HT et);
	boolean remove(HT et);
		HT getXminfo(HT et);
	boolean update(HT et);
	boolean create(HT et);
	boolean checkKey(HT et);
	boolean getDraft(HT et);
    List<HT> listDefault(HTSearchFilter filter) ;
	Page<HT> searchDefault(HTSearchFilter filter);
	/**	 实体[HT] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }